local LoadEditorBuildManager = BaseClass("LoadEditorBuildManager")
local __init = function(self)
  self:AddListener()
end
local Startup = function()
end
local AddListener = function(self)
  EventManager:GetInstance():AddListener(EventId.ShowLoadEditorBuild, self.ShowLoading)
end
local RemoveListener = function(self)
  EventManager:GetInstance():RemoveListener(EventId.ShowLoadEditorBuild, self.ShowLoading)
end
local __delete = function(self)
  self:RemoveListener()
end
local ShowLoading = function(data)
  UIManager:GetInstance():OpenWindow(UIWindowNames.UILoadEditorBuild, {anim = true}, data)
end
LoadEditorBuildManager.__init = __init
LoadEditorBuildManager.__delete = __delete
LoadEditorBuildManager.Startup = Startup
LoadEditorBuildManager.AddListener = AddListener
LoadEditorBuildManager.RemoveListener = RemoveListener
LoadEditorBuildManager.ShowLoading = ShowLoading
return LoadEditorBuildManager
